"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const CreateElasticsearchDomain_1 = require("../model/operations/CreateElasticsearchDomain");
class CreateElasticsearchDomainCommand {
    constructor(input) {
        this.input = input;
        this.model = CreateElasticsearchDomain_1.CreateElasticsearchDomain;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.CreateElasticsearchDomainCommand = CreateElasticsearchDomainCommand;
//# sourceMappingURL=CreateElasticsearchDomainCommand.js.map