"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const DeleteElasticsearchServiceRole_1 = require("../model/operations/DeleteElasticsearchServiceRole");
class DeleteElasticsearchServiceRoleCommand {
    constructor(input) {
        this.input = input;
        this.model = DeleteElasticsearchServiceRole_1.DeleteElasticsearchServiceRole;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.DeleteElasticsearchServiceRoleCommand = DeleteElasticsearchServiceRoleCommand;
//# sourceMappingURL=DeleteElasticsearchServiceRoleCommand.js.map