"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const DescribeReservedElasticsearchInstances_1 = require("../model/operations/DescribeReservedElasticsearchInstances");
class DescribeReservedElasticsearchInstancesCommand {
    constructor(input) {
        this.input = input;
        this.model = DescribeReservedElasticsearchInstances_1.DescribeReservedElasticsearchInstances;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.DescribeReservedElasticsearchInstancesCommand = DescribeReservedElasticsearchInstancesCommand;
//# sourceMappingURL=DescribeReservedElasticsearchInstancesCommand.js.map