"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const GetUpgradeHistory_1 = require("../model/operations/GetUpgradeHistory");
class GetUpgradeHistoryCommand {
    constructor(input) {
        this.input = input;
        this.model = GetUpgradeHistory_1.GetUpgradeHistory;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.GetUpgradeHistoryCommand = GetUpgradeHistoryCommand;
//# sourceMappingURL=GetUpgradeHistoryCommand.js.map