"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const ListElasticsearchVersions_1 = require("../model/operations/ListElasticsearchVersions");
class ListElasticsearchVersionsCommand {
    constructor(input) {
        this.input = input;
        this.model = ListElasticsearchVersions_1.ListElasticsearchVersions;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.ListElasticsearchVersionsCommand = ListElasticsearchVersionsCommand;
//# sourceMappingURL=ListElasticsearchVersionsCommand.js.map